Subject: Bug#1476: [X2Go-Dev] Bug#1476: x2goclient interface code needs refactoring to make it more accessible and make improvements easier to implement and test

From: Dave Chamberlin-Kidd <[email-masked]>
Date: Thu, 3 Sep 2020 07:34:51 +0100

Hi Mike,

It's been a while and I'm not clear what, if anything, is happening with
gitlab. Is there any way to proceed despite this?

Cheers

On Tue, 9 Jun 2020, 00:20 Dave Chamberlin-Kidd, <[email-masked]>
wrote:

> Cheers Mike. No problem.
>
> On Mon, 8 Jun 2020, 08:54 Mike Gabriel, <[email-masked]>
> wrote:
>
>> Hi Dave,
>>
>> On  So 07 Jun 2020 17:49:21 CEST, Dave Chamberlin-Kidd wrote:
>>
>> > Package: x2goclient
>> > Version: 4.1.2.3
>> > Severity: wishlist
>> > Tag: patch
>> >
>> > There are a number of minor issues, oddities and limitations with the
>> > current x2goclient gui which would be good to fix, resolve and improve
>> on.
>> > Like all projects however the core team have more important issues to
>> > resolve. The code in its current state is difficult to understand and
>> amend
>> > and as it has no tests it is risky for developers to make functional
>> > changes unless they spend a lot of time getting to know the code and
>> doing
>> > extensive manual testing.
>> >
>> > Attached are 10 small refactorings which start extracting out some of
>> the
>> > code into smaller functions. As the code is separated out it becomes
>> easier
>> > to understand and change.
>> >
>> > There are no functional changes in these patches, nor do they attempt or
>> > claim to fix any known issues. On their own the benefit of these
>> patches is
>> > limited however the hope is that over time I will be able to submit more
>> > refactorings as I learn more and then start fixing issues and improving
>> the
>> > UI. Extracting out functions is just one of many techniques that can my
>> experience it's a good one to start
>> > with. It should also be noted that sometimes code is extracted "as is"
>> even
>> > when it is clear further refactoring can be done to improve things,
>> this is
>> > by design in order to keep risk and size of patches to a minimum.
>> >
>> > Cheers
>> > Dave
>>
>> Thanks for your patches. As the GitLab server for X2Go is in reach,
>> I'd like to postpone patch review until its there. I'd be happy if you
>> could file a merge request then and we dive into your proposals.
>>
>> Thanks+Greets,
>> Mike
>> --
>>
>> DAS-NETZWERKTEAM
>> c\o Technik- und Ökologiezentrum Eckernförde
>> Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
>> mobile: +49 (1520) 1976 148
>> landline: +49 (4351) 850 8940
>>
>> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
>> mail: [email-masked], http://das-netzwerkteam.de
>>
>>